Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan.build
Class SimplePlanBuilder

    java.lang.Object
      ix.icore.plan.build.ExamplePlanBuilder
          ix.icore.plan.build.SimplePlanBuilder

All Implemented Interfaces:
  PlanBuilder

    public class SimplePlanBuilder

extends ExamplePlanBuilder

Plan-construction utility. This class is only a minor variation on `ExamplePlanBuilder`. They have the same functionality and share most of their methods, but this class uses a simpler, but less abstract, way of building issue and activity expansions.

Nested Class Summary

Nested classes/interfaces inherited from class ix.icore.plan.build.ExamplePlanBuilder
`ExamplePlanBuilder.ActivityExpander, ExamplePlanBuilder.Expander, ExamplePlanBuilder.IssueExpander`

Field Summary

Fields inherited from class ix.icore.plan.build.ExamplePlanBuilder
`activities, annotations, constraints, issueRefinements, issues, itemToSubitems, nameGen, plan, planIssues, planNodes, planRefinements`

Constructor Summary
`SimplePlanBuilder()`

Method Summary
`protected void` | `buildExpansion(PlanIssue pi, java.util.List children)`
`protected void` | `buildExpansion(PlanNode node, java.util.List children)`
`Plan` | `getPlan()` Builds everything added so far into a plan and returns that plan.
`static void` | `main(java.lang.String[] argv)` Main program for testing.
`protected void` | `walkActivities(java.util.List activities, java.util.List planNodes, PlanNode parent)`
`protected void` | `walkIssues(java.util.List issues, java.util.List planIssues, PlanIssue parent)`

Methods inherited from class ix.icore.plan.build.ExamplePlanBuilder
`addActivity, addConstraint, addIssue, addSubactivity, addSubissue, fillInPlan, genId, getSubitems, setAnnotation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePlanBuilder

    public SimplePlanBuilder()

Method Detail

### getPlan

    public Plan getPlan()

  Description copied from interface: `PlanBuilder`
  Builds everything added so far into a plan and returns that plan.

  Specified by:
    `getPlan` in interface `PlanBuilder`
  Overrides:
    `getPlan` in class `ExamplePlanBuilder`

### walkIssues

    protected void walkIssues(java.util.List issues,
                              java.util.List planIssues,
                              PlanIssue parent)

### buildExpansion

    protected void buildExpansion(PlanIssue pi,
                                  java.util.List children)

### walkActivities

    protected void walkActivities(java.util.List activities,
                                  java.util.List planNodes,
                                  PlanNode parent)

### buildExpansion

    protected void buildExpansion(PlanNode node,
                                  java.util.List children)

### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

  Main program for testing. Makes a `PlanBuilderTest` and calls `PlanBuilderTest.test(PlanBuilder)` on an instance of SimplePlanBuilder.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD